﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace PCSoftware_demo
{
    /// <summary>
    /// ModWindow.xaml 的交互逻辑
    /// </summary>
    public partial class ModWindow : Window
    {
        public int mode { get; set; }//模式
        
        public int FlusTime { get; set; }//频闪时间

        public bool mUpdata { get; set; }//频闪时间

        public ModWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            mode = 1;
            FlusTime = 10;
            mUpdata = false;
        }

        private void Btn_OK_Click(object sender, RoutedEventArgs e)
        {
            FlusTime = Convert.ToInt16(TX_FLUSH_TIME.Text);
            if (FlusTime > 99) FlusTime = 99;
            if (FlusTime < 1) FlusTime = 1;

            mUpdata = true;
            DialogResult = true;//关闭该窗口
            
        }

        private void RD_MODE_NORMAL_Checked(object sender, RoutedEventArgs e)
        {
            if ((bool)RD_MODE_NORMAL.IsChecked) mode = 1;

        }

        private void RDMODEUS_Checked(object sender, RoutedEventArgs e)
        {
            if ((bool)RDMODEUS.IsChecked) mode = 3;
        }

        private void RD_MODE_TRIGGER_Checked(object sender, RoutedEventArgs e)
        {
            if ((bool)RD_MODE_TRIGGER.IsChecked) mode = 0;
        }

        private void RD_MODE_MS_Checked(object sender, RoutedEventArgs e)
        {
            if ((bool)RD_MODE_MS.IsChecked) mode = 2;
        }

        private void Btn_Cancel_Click(object sender, RoutedEventArgs e)
        {
            mUpdata = false;
            DialogResult = true;//关闭该窗口
            
        }

       


    }
}
